import { Locale } from './DatepickerConfig.types';
export declare class DatepickerHelper {
    static stringToDateOrNewDate(dateString: string, dateFormat?: string): Date;
    static stringToRangeDateOrNewDate(dateString: string, dateFormat?: string): {
        startDate: Date;
        endDate: Date;
    };
    static getMaskValue(range: boolean, dateFormat?: string): (string | RegExp)[];
    static getRangeOfYears(activeDate: Date): {
        startYear: number;
        endYear: number;
    };
    static getFirstLastDayOfMonth(activeDate: Date): {
        firstMonthDay: Date;
        lastMonthDay: Date;
    };
    static checkIfDateIsValid(dateValue: string, range: boolean, setError: (value: boolean) => void, configDateFormat?: string): void;
    static getLanguage(locale: Locale): import("date-fns").Locale;
}
